/*******************************<+>***************************
 **                             PRC
 *************************************************************
 **
 **  $Id: Date.c,v 1.2 1994/02/12 22:47:55 dta Exp $
 **
 **  $Source: /cvs/lib/xn/Date.c,v $
 **
 **  Module Name:
 **
 **  Classification:  Unclassified
 **
 **  Author:          Dale T. Anderson
 **
 *******************************<+>***************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>

#include <Xm/Xm.h>
#include <Xm/Text.h>

#include "Xn.h"

#define DTGFORMAT "%d%H%M:%SZ %h %y"

void            XnTextSetDTG (w, date)
Widget          w;
time_t          date;
{
    char            buf[64];
    struct tm      *tm;

    tm = gmtime (&date);
    strftime (buf, sizeof (buf), DTGFORMAT, tm);
    XnWidgetPrintf (w, buf);
}

int             XnTextGetDTG (w, val, orig)
Widget          w;
time_t         *val;
time_t          orig;
{
    char           *str;
    char            buf[64];
    struct tm       tm;

    if ((str = XmTextGetString (w)) && strftime (buf, sizeof (buf), DTGFORMAT, &tm)) {
	*val = gmtime (&tm);
	XtFree (str);
	return (0);
    }
    XnTextSetDTG (w, orig);
    return (-1);
}
