/*******************************<+>***************************
 **                             PRC
 *************************************************************
 **
 **  $Id: Popup.c,v 1.5 1993/10/26 20:21:44 dta Exp $
 **
 **  $Source: /cvs/lib/xn/Popup.c,v $
 **
 **  Module Name:
 **
 **  Classification:  Unclassified
 **
 **  Author:          Dale T. Anderson
 **
 *******************************<+>***************************/

#include <Xm/Xm.h>
#include <Xm/RowColumn.h>

#include <Xn/Xn.h>

static void     popup (w, menu, event)
Widget          w;
Widget          menu;
XEvent         *event;
{
    int             button;

    XtVaGetValues (menu,
	XmNwhichButton, &button,
	NULL);

    XmMenuPosition (menu, &event->xbutton);
    XtManageChild (menu);
}

Widget          XnCreatePopupMenu (parent, data)
Widget          parent;
XnCallbackData *data;
{
    Widget          menu;
    Arg             args[2];

    XtSetArg (args[0], XmNhighlightOnEnter, True);
    XtSetArg (args[1], XmNshadowThickness, 4);

    menu = XmCreatePopupMenu (parent, "popup", args, 2);

    XtAddEventHandler (parent, ButtonPressMask, False,
	(XtEventHandler) popup, menu);

    XnCreatePushButtons (menu, data);

    return (menu);
}
