/*******************************<+>***************************
 **                             PRC
 *************************************************************
 **
 **  $Id: Scanf.c,v 1.3 1994/02/12 22:48:00 dta Exp $
 **
 **  $Source: /cvs/lib/xn/Scanf.c,v $
 **
 **  Module Name:
 **
 **  Classification:  Unclassified
 **
 **  Author:          Dale T. Anderson
 **
 *******************************<+>***************************/

#include <stdio.h>
#include <stdarg.h>

#include <X11/Intrinsic.h>

int XnWidgetScanf (Widget w, const char *fmt, ...)
{
    char buffer [256];
    va_list args;
    int status;

    XnWidgetGetStr (w, buffer);

    va_start (args, fmt);
    status = vsscanf (buffer, fmt, args);
    va_end (args);

    return (status);
}
