/*******************************<+>***************************
 **                             DTA
 *************************************************************
 **
 **  $Id: Main.C,v 1.4 1994/02/18 02:55:43 dta Exp $
 **
 **  $Source: /cvs/progs/pexdb/Main.C,v $
 **
 **  What @(#):
 **
 **  Author: Dale T. Anderson
 **
 *******************************<+>***************************/
 
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>

#include "Pexdb.h"

int main (int argc, char **argv)
{
    XtAppContext app;

    Widget toplevel = XnAppInitialize ("Pexdb", &app, &argc, argv, NULL, NULL);

    PEXExtensionInfo *info;
    char err [256];
    int status;
    PEXStructure root;
    
    status = PEXInitialize (XtDisplay (toplevel), &info, sizeof (err), err);

    if (status) {
	fprintf (stderr, "Error initializing PEX %s\n", err);
	exit (status);
    }

    if (argc != 2) {
	fprintf(stderr, "Error: Pexdb <PEX Structure id>\n");
	exit (1);
    }

    root = atoi (argv [1]);

    PexdbWindow (toplevel, root);

    XtRealizeWidget (toplevel);

    XtAppMainLoop (app);

    return (0);
}
