/*******************************<+>***************************
 **                             PRC
 *************************************************************
 **
 **  $Id: Values.c,v 1.4 1993/10/22 19:25:25 dta Exp $
 **
 **  $Source: /cvs/lib/xn/Values.c,v $
 **
 **  Module Name:
 **
 **  Classification:  Unclassified
 **
 **  Author:          Dale T. Anderson
 **
 *******************************<+>***************************/

#include <Xm/Xm.h>
#include <Xm/Text.h>

#include "Xn.h"

int             XnTextGetInt (w, val)
Widget          w;
int *val;
{
    return XnWidgetScanf (w, "%d", val);
}

int             XnTextGetDouble (w, val)
Widget          w;
double         *val;
{
    return XnWidgetScanf (w, "%g", val);
}

#if 0
int             XnTextGetInt2 (w, val, orig)
Widget          w;
int            *val;
int             orig;
{
    char           *str;

    if (XnWidgetScanf (w, "%d", val) == 1) {
	XtFree (str);
	return (0);
    }
    XnWidgetPrintf (w, "%d", orig);
    return (-1);
}

int             XnTextGetDouble2 (w, val, orig)
Widget          w;
double         *val;
double          orig;
{
    char           *str;

    if (XnWidgetScanf (w, "%lg", val) == 1) {
	XtFree (str);
	return (0);
    }
    XnWidgetPrintf (w, "%g", orig);
    return (-1);
}
#endif
